Gecode::FlatZinc::ParserState Class Reference

State of the FlatZinc parser More...

`#include <parser.hh>`

## Public Member Functions

| ParserState (const std::string &b, std::ostream &err0, Gecode::FlatZinc::FlatZincSpace *fg0)
| ParserState (char *buf0, int length0, std::ostream &err0, Gecode::FlatZinc::FlatZincSpace *fg0)
int | fillBuffer (char *lexBuf, unsigned int lexBufSize)
void | output (std::string x, AST::Node *n)
AST::Array * | getOutput (void)

## Public Attributes

void * | yyscanner
const char * | buf
unsigned int | pos
unsigned int | length
Gecode::FlatZinc::FlatZincSpace * | fg
std::vector< std::pair< std::string, AST::Node * > > | _output
SymbolTable< SymbolEntry > | symbols
std::vector< varspec > | intvars
std::vector< varspec > | boolvars
std::vector< varspec > | setvars
std::vector< varspec > | floatvars
std::vector< int > | arrays
std::vector< AST::SetLit > | setvals
std::vector< double > | floatvals
std::vector< ConExpr * > | constraints
std::vector< ConExpr * > | domainConstraints
bool | hadError
std::ostream & | err

## Detailed Description

State of the FlatZinc parser

Definition at line 184 of file parser.hh.

## Constructor & Destructor Documentation

## ParserState() [1/2]

Gecode::FlatZinc::ParserState::ParserState | ( | const std::string & | b,
|  | std::ostream & | err0,
|  | Gecode::FlatZinc::FlatZincSpace * | fg0 )

inline

Definition at line 186 of file parser.hh.

## ParserState() [2/2]

Gecode::FlatZinc::ParserState::ParserState | ( | char * | buf0,
|  | int | length0,
|  | std::ostream & | err0,
|  | Gecode::FlatZinc::FlatZincSpace * | fg0 )

inline

Definition at line 191 of file parser.hh.

## Member Function Documentation

## fillBuffer()

int Gecode::FlatZinc::ParserState::fillBuffer | ( | char * | lexBuf,
|  | unsigned int | lexBufSize )

inline

Definition at line 218 of file parser.hh.

## output()

void Gecode::FlatZinc::ParserState::output | ( | std::string | x,
|  | AST::Node * | n )

inline

Definition at line 227 of file parser.hh.

## getOutput()

AST::Array * Gecode::FlatZinc::ParserState::getOutput | ( | void |  | ) |

inline

Definition at line 231 of file parser.hh.

## Member Data Documentation

## yyscanner

void* Gecode::FlatZinc::ParserState::yyscanner

Definition at line 196 of file parser.hh.

## buf

const char* Gecode::FlatZinc::ParserState::buf

Definition at line 197 of file parser.hh.

## pos

unsigned int Gecode::FlatZinc::ParserState::pos

Definition at line 198 of file parser.hh.

## length

unsigned int Gecode::FlatZinc::ParserState::length

Definition at line 198 of file parser.hh.

## fg

Gecode::FlatZinc::FlatZincSpace* Gecode::FlatZinc::ParserState::fg

Definition at line 199 of file parser.hh.

## _output

std::vector<std::pair<std::string,AST::Node*> > Gecode::FlatZinc::ParserState::_output

Definition at line 200 of file parser.hh.

## symbols

SymbolTable<SymbolEntry> Gecode::FlatZinc::ParserState::symbols

Definition at line 202 of file parser.hh.

## intvars

std::vector<varspec> Gecode::FlatZinc::ParserState::intvars

Definition at line 204 of file parser.hh.

## boolvars

std::vector<varspec> Gecode::FlatZinc::ParserState::boolvars

Definition at line 205 of file parser.hh.

## setvars

std::vector<varspec> Gecode::FlatZinc::ParserState::setvars

Definition at line 206 of file parser.hh.

## floatvars

std::vector<varspec> Gecode::FlatZinc::ParserState::floatvars

Definition at line 207 of file parser.hh.

## arrays

std::vector<int> Gecode::FlatZinc::ParserState::arrays

Definition at line 208 of file parser.hh.

## setvals

std::vector<AST::SetLit> Gecode::FlatZinc::ParserState::setvals

Definition at line 209 of file parser.hh.

## floatvals

std::vector<double> Gecode::FlatZinc::ParserState::floatvals

Definition at line 210 of file parser.hh.

## constraints

std::vector<ConExpr*> Gecode::FlatZinc::ParserState::constraints

Definition at line 211 of file parser.hh.

## domainConstraints

std::vector<ConExpr*> Gecode::FlatZinc::ParserState::domainConstraints

Definition at line 213 of file parser.hh.

## hadError

bool Gecode::FlatZinc::ParserState::hadError

Definition at line 215 of file parser.hh.

## err

std::ostream& Gecode::FlatZinc::ParserState::err

Definition at line 216 of file parser.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/parser.hh